; ##############################################################################
; ##############################################################################
; ##############################################################################
NEUSTART_MIT_WDR:
	WDR
	in temp, MCUCSR
	andi temp,0b00001000
	tst temp
	breq NEUSTART_MIT_WDR_FEHLER
	; MCUCSR clear		
	out MCUCSR,NULL
	ret
NEUSTART_MIT_WDR_FEHLER:
	cbi PORTB,LED_B_GELB	; GELB	
	cbi PORTB,LED_B_ROT		; ROT	
	rjmp NEUSTART_MIT_WDR_FEHLER
; ##############################################################################
; ##############################################################################
; ##############################################################################
PROGRAMM_CHECK:
	; NULL		
	tst NULL
	brne PROGRAMM_CHECK_FEHLER
	; EINS		
	mov temp,EINS
	cpi temp,1
	brne PROGRAMM_CHECK_FEHLER
	; VOLL		
	mov temp,VOLL
	cpi temp,255
	brne PROGRAMM_CHECK_FEHLER
	ret
; SCHLEIFE, bis WDR zubeit		
PROGRAMM_CHECK_FEHLER:
	rjmp PROGRAMM_CHECK_FEHLER
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_TEST:
	sbi PORT_DIG_1,PIN_DIG_1
	sbi PORT_DIG_2,PIN_DIG_2	
	sbi PORT_DIG_3,PIN_DIG_3	
	sbi PORT_DIG_4,PIN_DIG_4	
	sbi PORT_DIG_5,PIN_DIG_5
	sbi PORT_DIG_6,PIN_DIG_6
	sbi PORT_DIG_7,PIN_DIG_7
	sbi PORT_DIG_8,PIN_DIG_8

	cbi PORT_BALKEN_A,PIN_BALKEN_A	
	cbi PORT_BALKEN_B,PIN_BALKEN_B	
	cbi PORT_BALKEN_C,PIN_BALKEN_C	
	cbi PORT_BALKEN_D,PIN_BALKEN_D	
	cbi PORT_BALKEN_E,PIN_BALKEN_E	
	cbi PORT_BALKEN_F,PIN_BALKEN_F	
	cbi PORT_BALKEN_G,PIN_BALKEN_G	
	cbi PORT_BALKEN_P,PIN_BALKEN_P

	cbi PORTB,LED_B_GELB	; GELB	
	cbi PORTB,LED_B_ROT		; ROT	

	rcall wait_100ms

	sbi PORTB,LED_B_GELB	; GELB	
	sbi PORTB,LED_B_ROT		; ROT	


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_ZAHLEN_TEST:
	; LEDs				
	ldi temp, (ZAHL_0)		; 0
	STS(adr_LED_BYTE_0),temp
	ldi temp, (ZAHL_1)		; 0
	STS(adr_LED_BYTE_1),temp
	ldi temp, (ZAHL_2)		; 0
	STS(adr_LED_BYTE_2),temp
	ldi temp, (ZAHL_3)		; 0
	STS(adr_LED_BYTE_3),temp
	ldi temp, (ZAHL_4)		; 0
	STS(adr_LED_BYTE_4),temp
	ldi temp, (ZAHL_5)		; 0
	STS(adr_LED_BYTE_5),temp
	ldi temp, (ZAHL_6)		; 0
	STS(adr_LED_BYTE_6),temp
	ldi temp, (ZAHL_7)		; 0
	STS(adr_LED_BYTE_7),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_VOLL_TEST:
	; LEDs				
	ldi temp, 255
	STS(adr_LED_BYTE_0),temp
	STS(adr_LED_BYTE_1),temp
	STS(adr_LED_BYTE_2),temp
	STS(adr_LED_BYTE_3),temp
	STS(adr_LED_BYTE_4),temp
	STS(adr_LED_BYTE_5),temp
	STS(adr_LED_BYTE_6),temp
	STS(adr_LED_BYTE_7),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
